<ng-container *subscribe="editMapsetMutation.result$ as mapset">
  <ngx-loading [show]="mapset.isLoading" />
</ng-container>

<div [ngClass]="[jds.card]">
  <div [ngClass]="[jds.cardBody, jds.p(24)]">
    <div
      [ngClass]="[
        jds.d('flex'),
        jds.alignItems('center'),
        jds.justifyContent('between'),
        jds.mb(10)
      ]"
    >
      <h6
        [ngClass]="[jds.fw('bold'), jds.mb(0)]"
        [style.fontFamily]="'Roboto'"
      >
        {{ data.name }}
      </h6>
      <div
        [ngClass]="[]"
        [style.flexShrink]="0"
      >
        <jds-bi-hosted-dropdown
          [(open)]="isDropdownDownload"
          [jdsBiDropdownLimitWidth]="'auto'"
          [jdsBiDropdownAlign]="'right'"
          [content]="dropdownDownload"
        >
          <button
            [colorScheme]="colorScheme"
            jdsBiButton
            type="button"
          >
            <span>Unduh Mapset</span>
            <jds-bi-icon
              [ngClass]="[jds.ms(8)]"
              name="chevron-down"
            />
          </button>
        </jds-bi-hosted-dropdown>

        <ng-template #dropdownDownload>
          <ul
            [ngClass]="[jds.dropdownMenu]"
            [style.minWidth.px]="150"
          >
            <li [ngClass]="[jds.dropdownNavbarItem]">
              <a
                [ngClass]="[jds.dropdownNavbarLink]"
                (click)="onDownload('shp')"
              >
                SHP
              </a>
            </li>
            <li [ngClass]="[jds.dropdownNavbarItem]">
              <a
                [ngClass]="[jds.dropdownNavbarLink]"
                (click)="onDownload('mapservice')"
              >
                Mapservice
              </a>
            </li>
          </ul>
        </ng-template>

        <ng-container
          *ngIf="
            satudataUser.role_name === 'walidata' ||
            (satudataUser.role_name === 'opd' &&
              satudataUser.kode_skpd === data.skpd.kode_skpd)
          "
        >
          <ng-container
            *ngIf="data.is_validate === 0 || data.is_validate === 3"
          >
            <jds-bi-hosted-dropdown
              [(open)]="isDropdownAction"
              [jdsBiDropdownLimitWidth]="'auto'"
              [jdsBiDropdownAlign]="'right'"
              [content]="dropdownAction"
            >
              <button
                [ngClass]="[jds.ms(10)]"
                [colorScheme]="'gray'"
                [variant]="'outline'"
                jdsBiButton
                type="button"
              >
                <jds-bi-icon name="ellipsis" />
              </button>
            </jds-bi-hosted-dropdown>

            <ng-template #dropdownAction>
              <ul
                [ngClass]="[jds.dropdownMenu]"
                [style.minWidth.px]="150"
              >
                <ng-container *ngIf="data.is_validate === 0">
                  <li [ngClass]="[jds.dropdownNavbarItem]">
                    <a
                      [ngClass]="[jds.dropdownNavbarLink]"
                      [routerLink]="['/my-mapset/edit/', data.id]"
                      [queryParams]="{
                        page: 'mapset-detail',
                        status: 'draft-active'
                      }"
                    >
                      Ubah
                    </a>
                  </li>
                  <li [ngClass]="[jds.dropdownNavbarItem]">
                    <a
                      [ngClass]="[jds.dropdownNavbarLink]"
                      (click)="onDelete(data.id)"
                    >
                      Hapus
                    </a>
                  </li>
                </ng-container>
                <ng-container *ngIf="data.is_validate === 3">
                  <ng-container *ngIf="data.is_active === true">
                    <li [ngClass]="[jds.dropdownNavbarItem]">
                      <a
                        [ngClass]="[jds.dropdownNavbarLink]"
                        [routerLink]="['/my-mapset/edit/', data.id]"
                        [queryParams]="{
                          page: 'mapset-detail',
                          status: 'approve-active'
                        }"
                      >
                        Ubah
                      </a>
                    </li>
                    <li [ngClass]="[jds.dropdownNavbarItem]">
                      <a
                        [ngClass]="[jds.dropdownNavbarLink]"
                        (click)="onArchive(data.id)"
                      >
                        Arsipkan
                      </a>
                    </li>
                  </ng-container>
                  <ng-container *ngIf="data.is_active === false">
                    <li [ngClass]="[jds.dropdownNavbarItem]">
                      <a
                        [ngClass]="[jds.dropdownNavbarLink]"
                        (click)="onActive(data.id)"
                      >
                        Aktifkan
                      </a>
                    </li>
                  </ng-container>
                </ng-container>
              </ul>
            </ng-template>
          </ng-container>
        </ng-container>
      </div>
    </div>

    <div [ngClass]="[jds.d('flex'), jds.alignItems('start')]">
      <!-- Tahun Dibuat -->
      <div [ngClass]="jds.me(48)">
        <div
          [ngClass]="[jds.fs(14), jds.mb(8), jds.text(jdsBiColor.gray['600'])]"
          [style.lineHeight.px]="20"
        >
          Tahun Dibuat
        </div>
        <div
          [ngClass]="[jds.d('flex')]"
          [style.verticalAlign]="'middle'"
        >
          <jds-bi-icon
            [ngClass]="[jds.me(6), jds.text(jdsBiColor.gray['600'])]"
            name="calendar"
          />
          <span
            [ngClass]="[jds.fs(14)]"
            [style.position]="'relative'"
            [style.top.px]="1"
            [style.lineHeight.px]="23"
          >
            {{ moment(data.cdate).locale('id').format('YYYY') }}
          </span>
        </div>
      </div>

      <!-- Status Mapset -->
      <div [ngClass]="jds.me(48)">
        <div
          [ngClass]="[jds.fs(14), jds.mb(8), jds.text(jdsBiColor.gray['600'])]"
          [style.lineHeight.px]="20"
        >
          Status Mapset
        </div>
        <span
          [colorScheme]="getStatusData(data.is_permanent).color"
          [ngClass]="[jds.rounded('pill')]"
          jdsBiBadge
          variant="subtle"
        >
          <jds-bi-icon
            [name]="getStatusData(data.is_permanent).icon"
            [ngClass]="[jds.me(4)]"
          />
          <span>
            {{ getStatusData(data.is_permanent).name }}
          </span>
        </span>
      </div>

      <!-- Klasifikasi -->
      <div [ngClass]="jds.me(48)">
        <div
          [ngClass]="[jds.fs(14), jds.mb(8), jds.text(jdsBiColor.gray['600'])]"
          [style.lineHeight.px]="20"
        >
          Klasifikasi
        </div>
        <span
          [colorScheme]="data.getClassification().bgColor"
          jdsBiBadge
        >
          {{ data.dataset_class.name }}
        </span>
      </div>

      <!-- Topik -->
      <div [ngClass]="jds.me(48)">
        <div
          [ngClass]="[jds.fs(14), jds.mb(8), jds.text(jdsBiColor.gray['600'])]"
          [style.lineHeight.px]="20"
        >
          Topik
        </div>
        <div
          [ngClass]="[jds.d('flex')]"
          [style.verticalAlign]="'middle'"
        >
          <jds-bi-icon
            [ngClass]="[jds.me(6), jds.text(jdsBiColor.gray['600'])]"
            name="book"
          />
          <span
            [ngClass]="[jds.fs(14)]"
            [style.position]="'relative'"
            [style.top.px]="1"
            [style.lineHeight.px]="23"
          >
            {{ data.sektoral.name }}
          </span>
        </div>
      </div>

      <!-- Tipe Peta -->
      <div [ngClass]="jds.me(48)">
        <div
          [ngClass]="[jds.fs(14), jds.mb(8), jds.text(jdsBiColor.gray['600'])]"
          [style.lineHeight.px]="20"
        >
          Tipe Peta
        </div>
        <div
          [ngClass]="[jds.d('flex')]"
          [style.verticalAlign]="'middle'"
        >
          <jds-bi-icon
            [ngClass]="[jds.me(6), jds.text(jdsBiColor.gray['600'])]"
            name="book"
          />
          <span
            [ngClass]="[jds.fs(14)]"
            [style.position]="'relative'"
            [style.top.px]="1"
            [style.lineHeight.px]="23"
          >
            {{ data.mapset_type.name }}
          </span>
        </div>
      </div>

      <!-- Mapset Diperbarui -->
      <div [ngClass]="jds.me(48)">
        <div
          [ngClass]="[jds.fs(14), jds.mb(8), jds.text(jdsBiColor.gray['600'])]"
          [style.lineHeight.px]="20"
        >
          Mapset Diperbarui
        </div>
        <div
          [ngClass]="[jds.d('flex')]"
          [style.verticalAlign]="'middle'"
        >
          <jds-bi-icon
            [ngClass]="[jds.me(6), jds.text(jdsBiColor.gray['600'])]"
            name="clock-three"
          />
          <span
            [ngClass]="[jds.fs(14)]"
            [style.position]="'relative'"
            [style.top.px]="1"
            [style.lineHeight.px]="23"
          >
            {{ moment(data.mdate).locale('id').format('DD MMMM YYYY') }}
          </span>
        </div>
      </div>
    </div>
  </div>
</div>

<app-modal-mapset-status
  [from]="'header'"
  [status]="status"
  (update)="onUpdate($event)"
/>
